#ifndef WHITELIST_H_GUARD
#define WHITELIST_H_GUARD

/* insert address into whitelist; return PR_FALSE if already present,
 * otherwise PR_TRUE */
PR_EXTERN(PRStatus) whitelist_insert(void**, const char*);

/* return pointer to whitelist netAddr that matches input value, NULL if not
 * found */
PR_EXTERN(PRNetAddr*) whitelist_get(void**, PRNetAddr*);

/* dump the whitelist contents to log at level 5 (PR_LOG_DEBUG) */
PR_EXTERN(void) whitelist_dump(void**);

/* destroy (free all leaves) whitelist */
PR_EXTERN(void) whitelist_destroy(void*);

#endif  /* WHITELIST_H_GUARD */
