<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<?python import sitetemplate ?>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#"
    py:extends="sitetemplate">

<head py:match="item.tag=='{http://www.w3.org/1999/xhtml}head'" py:attrs="item.items()">
    <meta content="text/html; charset=UTF-8" http-equiv="content-type" py:replace="''"/>
    <title py:replace="''">Psyche</title>
    <meta py:replace="item[:]" name="description" content="master template"/>
    <style type="text/css">
        html { 
            padding: .5em;
            margin: .5em;
            overflow: auto;
        }
        body {
            color: white;
            background: black;
            font-size: 1em;
            font-family: Verdana, Arial, SunSans-Regular, Sans-Serif;
            margin: 0;
            overflow: auto;
            padding: 0;
            width: 100%;
            height: 100%;
        } 
        #pageLogin {
            position: absolute;
            top: 3em;
            right: .5em;
            font-size: .65em;
            font-family: verdana;
        }
        #topMenu {
            position: absolute;
            top: .5em;
            left: .5em;
            font-size: .85em;
            font-family: verdana;
        }
        #slogan {
            position: absolute;
            top: .5em;
            right: .5em;
            font-size: .85em;
            font-family: verdana;
        }
        #ajaxgrid_0_update {
	    margin: auto;
        }
	#ttForm table {
            font-size: .75em;
	    float: left;
	    width: auto;
	    margin: 10px 10px 10px 10px;
	}
	#histForm table {
            font-size: .75em;
	    float: left;
	    width: auto;
	    margin: 10px 10px 10px 10px;
	}
	#rawFlowsForm table {
            font-size: .75em;
	    float: left;
	    width: auto;
	    margin: 10px 10px 10px 10px;
	}
	#homeForm table {
            font-size: .75em;
	    float: left;
	    width: auto;
	    margin: 10px 10px 10px 10px;
	}
	#mgmtForm table {
            font-size: .75em;
	    float: left;
	    width: auto;
	    margin: 10px 10px 10px 10px;
	}
	#error_holder {
            font-size: .75em;
	    width: auto;
	    margin: 10px 10px 10px 10px;
	}
	#topTalkersGrid {
            font-size: .70em;
            font-family: verdana;
	    color: gray;
	    margin: 20px 0 20px 0;
	}
	#csvLink {
            font-size: .80em;
            font-family: verdana;
	}
	#flowsGrid_panel {
	    margin-top: 10px;
	}
	#gridStatus {
            margin: 0 auto 0 auto;
	}
        .code {
          font-family: monospace;
        }
        span.code {
          font-weight: bold;
          background: #eee;
        }
        #status_block {
          margin: 0 auto 0.5em auto;
          padding: 15px 10px 15px 55px;
          border: 1px solid #9c9;
          width: 450px;
          font-size: 120%;
          font-weight: bolder;
        }
        .notice {
          margin: 0.5em auto 0.5em auto;
          padding: 15px 10px 15px 55px;
          width: 450px;
          border: 1px solid #cce;
        }
        .fielderror {
            color: red;
            font-weight: bold;
            font-size: .85em;
        }
        .radiobuttonlist {
	        list-style-type: none;
        }
        
    </style>
    <!--<link rel="stylesheet" type="text/css" media="screen" href="../static/css/style.css"
        py:attrs="href=tg.url('/static/css/style.css')"/>-->
</head>

<body py:match="item.tag=='{http://www.w3.org/1999/xhtml}body'" py:attrs="item.items()">

    <div id="topMenu">
      <a href='/index'>Home</a> &nbsp;|&nbsp; 
      <a href='/topTalkers'>Top Talkers</a> &nbsp;|&nbsp; 
      <a href='/histogram'>Histogram</a> &nbsp;|&nbsp; 
      <a href='/queryRawFlows'>Raw Flows</a> &nbsp;|&nbsp;
      <a href='/management'>Management</a>
    </div>

    <div id="slogan"><b>Psyche - See More Than Just the Tip of the Iceberg</b></div>

    <div py:if="tg.config('identity.on') and not defined('logging_in')" id="pageLogin">
        <span py:if="tg.identity.anonymous">
            <a href="${tg.url('/login')}">Login</a>
        </span>
        <span py:if="not tg.identity.anonymous">
            Welcome, ${tg.identity.user.display_name or tg.identity.user.user_name}.
            <a href="${tg.url('/logout')}">Logout</a>
        </span>
    </div>

    <br/><br/><hr/>

    <div id="main_content">
        <div id="status_block" class="flash"
            py:if="value_of('tg_flash', None)" py:content="tg_flash"></div>
        <div py:replace="[item.text]+item[:]">page content</div>
    </div>
</body>

</html>
