from turbogears import validators
from datetime import *

class DatesValidator(validators.FormValidator):
	def __init__(self, maxInterval=None):
		self.maxInterval = maxInterval
	''' This thing validates two date/times. You would think the DateValidator
		could do this, but noooo... So 22 lines of code later, we can
		Hey, at least I learned how to make a custom FormValidator

	'''
	def _(s): return s
	'''yay internationalization...some kinda i18n hack from Christoph Zwerschke'''

	gettextargs = {'domain':'messages'}
	messages = {
		'should_be_lower' : _('The start date should come before the end date. '),
		'should_be_higher' : _('The end date should come after the start date. '),
		'predict_the_future' : _('You can\'t predict the future. Neither can Psyche. Try setting the time sometime in the present or past. '),
		'interval_too_large' : _('Sorry, you must specify a time interval <= 2 days.') #' + str(maxInterval) + ' seconds')
	}

	def validate_python(self, value, state=None):
		#maxInterval = timedelta(hours=2)
		start = value.get('start_time', None)
		end = value.get('end_time', None)
		if (start and end) and start > end:
		   message = self.message('should_be_lower', state)
		   errors = dict(
			  start_time = self.message('should_be_lower', state),
			  end_time = self.message( 'should_be_higher', state),
		   )
		   raise validators.Invalid(message, value, state, error_dict=errors)
		elif (start and end) and start > datetime.now():
		   message = self.message('predict_the_future', state)
		   errors = dict(
			  start_time = self.message( 'predict_the_future', state),
		   )
		   raise validators.Invalid(message, value, state, error_dict=errors)
		elif (start and end) and end > datetime.now():
		   message = self.message('predict_the_future', state)
		   errors = dict(
			  end_time = self.message( 'predict_the_future', state),
		   )
		   raise validators.Invalid(message, value, state, error_dict=errors)
		elif (self.maxInterval != None):
			if (start and end) and ((end - start) > self.maxInterval):
				message = self.message( 'interval_too_large', state)
				errors = dict(
					start_time = self.message('interval_too_large', state),
				)
				raise validators.Invalid(message, value, state, error_dict=errors)

