raw_flow_list = {
'metadata': {
    'root': 'items',
    'totalProperty': 'totalCount',
    'id': 'id'
    },
'recordType': [
    {'name': 'router'},
    {'name': 'src_addr'},
    {'name': 'dst_addr'},
    {'name': 'start_time'},
    {'name': 'end_time'},
    {'name': 'tcp_flags'},
    {'name': 'prot'},
#    {'name': 'tos'},
#    {'name': 'input_if'},
#    {'name': 'output_if'},
#    {'name': 'src_as'},
#    {'name': 'dst_as'} ,
    {'name': 'src_port'},
    {'name': 'dst_port'},
#    {'name': 'src_mask'},
#    {'name': 'dst_mask'},
#    {'name': 'next_hop'},
    {'name': 'pkts'},
    {'name': 'bytes'}
    ],
'columnModel': [{
            'header': _("Router"),
            'dataIndex': 'router',
            'width': 95,
        },{
            'header': _("Src Addr"),
            'dataIndex': 'src_addr',
            'width': 95,
        },{
            'header': _("Dst Addr"),
            'dataIndex': 'dst_addr',
            'width': 95,
        },{
            'header': _("Start Time"),
            'dataIndex': 'start_time',
            'width': 150,
        },{
            'header': _("End Time"),
            'dataIndex': 'end_time',
            'width': 150,
        },{
            'header': _("TCP Flags"),
            'dataIndex': 'tcp_flags',
            'width': 60,
        },{
            'header': _("Protocol"),
            'dataIndex': 'prot',
            'width': 50,
#        },{
 #           'header': _("TOS"),
  #          'dataIndex': 'tos',
   #         'width': 40,
#        },{
#            'header': _("In SNMP"),
#            'dataIndex': 'input_if',
#            'width': 60, 
#        },{
#            'header': _("Out SNMP"),
#            'dataIndex': 'output_if',
#            'width': 67,
#        },{
#            'header': _("Src AS"),
#            'dataIndex': 'src_as',
#            'width': 50,
#        },{
#            'header': _("Dst AS"),
#            'dataIndex': 'dst_as',
#            'width': 53,
        },{
            'header': _("Src Port"),
            'dataIndex': 'src_port',
            'width': 55,
        },{
            'header': _("Dst Port"),
            'dataIndex': 'dst_port',
            'width': 63, 
    #    },{
     #       'header': _("Src Mask"),
      #      'dataIndex': 'src_mask',
       #     'width': 57
        #},{
         #   'header': _("Dst Mask"),
          #  'dataIndex': 'dst_mask',
           # 'width': 63
#        },{
#            'header': _("Next Hop"),
#            'dataIndex': 'nxt_hop',
#            'width': 60,
        },{
            'header': _("Packets"),
            'dataIndex': 'pkts',
            'width': 60,
        },{
            'header': _("Bytes"),
            'dataIndex': 'bytes',
            'width': 60,
        }],
'display_message': _("Displaying flows {0} - {1} of {2}"),
'no_items_message': _("No flows to display"),
}

hist_flow_list = {
'metadata': {
    'root': 'items',
    'totalProperty': 'totalCount',
    'id': 'id'
    },
'recordType': [
    {'name': 'session_start'},
    {'name': 'last_activity'},
    {'name': 'router'},
    {'name': 'src_addr'},
    {'name': 'dst_addr'},
    {'name': 'src_port'},
    {'name': 'dst_port'},
    {'name': 'prot'},
    {'name': 'in_bytes'},
    {'name': 'out_bytes'},
    {'name': 'ratio'},
    ],
'columnModel': [{
            'header': _("Session Start"),
            'dataIndex': 'session_start',
            'width': 150,
        },{
            'header': _("Session End"),
            'dataIndex': 'last_activity',
            'width': 150,
        },{
            'header': _("Router"),
            'dataIndex': 'router',
            'width': 95,
        },{
            'header': _("Src Addr"),
            'dataIndex': 'src_addr',
            'width': 95,
        },{
            'header': _("Dst Addr"),
            'dataIndex': 'dst_addr',
            'width': 95,
        },{
            'header': _("Src Port"),
            'dataIndex': 'src_port',
            'width': 60,
        },{
            'header': _("Dst Port"),
            'dataIndex': 'dst_port',
            'width': 60,
        },{
            'header': _("Prot"),
            'dataIndex': 'prot',
            'width': 40,
        },{
            'header': _("In Bytes"),
            'dataIndex': 'in_bytes',
            'width': 55, 
        },{
            'header': _("Out Bytes"),
            'dataIndex': 'out_bytes',
            'width': 63,
        },{
            'header': _("Ratio"),
            'dataIndex': 'ratio',
            'width': 45,        
        }],
'display_message': _("Displaying sessions {0} - {1} of {2}"),
'no_items_message': _("No sessions to display"),
}

tt_flow_list = {
'metadata': {
    'root': 'items',
    'totalProperty': 'totalCount',
    'id': 'id'
    },
'recordType': [
    {'name': 'interval_start'},
    {'name': 'router'},
    {'name': 'addr'},
    {'name': 'prot'},
    {'name': 'port'},
    {'name': 'pkts'},
    {'name': 'bytes'},
    ],
'columnModel': [{
            'header': _("Start Time"),
            'dataIndex': 'interval_start',
            'width': 150,
        },{
            'header': _("Router"),
            'dataIndex': 'router',
            'width': 95,
        },{
            'header': _("Address"),
            'dataIndex': 'addr',
            'width': 95,
        },{
            'header': _("Prot"),
            'dataIndex': 'prot',
            'width': 40,
        },{
            'header': _("Port"),
            'dataIndex': 'port',
            'width': 55,
        },{
            'header': _("Packets"),
            'dataIndex': 'pkts',
            'width': 55,
        },{
            'header': _("Bytes"),
            'dataIndex': 'bytes',
            'width': 60,
        }],
'display_message': _("Displaying traffic rows {0} - {1} of {2}"),
'no_items_message': _("No traffic rows to display"),
}

home_server_list = {
'metadata': {
    'root': 'items',
    'totalProperty': 'totalCount',
    'id': 'id'
    },
'recordType': [
    {'name': 'router'},
    {'name': 'addr'},
    {'name': 'port'},
    ],
'columnModel': [{
            'header': _("Router"),
            'dataIndex': 'router',
            'width': 95,
        },{
            'header': _("Address"),
            'dataIndex': 'addr',
            'width': 95,
        },{
            'header': _("Port"),
            'dataIndex': 'port',
            'width': 55,
        }],
'display_message': _(""),
'no_items_message': _(""),
}

home_session_list = {
'metadata': {
    'root': 'items',
    'totalProperty': 'totalCount',
    'id': 'id'
    },
'recordType': [
    {'name': 'protocol'},
    {'name': 'count'},
    ],
'columnModel': [{
            'header': _("Protocol"),
            'dataIndex': 'protocol',
            'width': 75,
        },{
            'header': _("Sessions"),
            'dataIndex': 'count',
            'width': 75,
        }],
}

mgmt_server_list = {
'metadata': {
    'root': 'items',
    'totalProperty': 'totalCount',
    'id': 'id'
    },
'recordType': [
    {'name': 'network'},
    ],
'columnModel': [{
            'header': _("Internal Network"),
            'dataIndex': 'network',
            'width': 190,
        }],
}

